org.apache.cassandra.thrift

## Class Column

- java.lang.Object
- - org.apache.cassandra.thrift.Column

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Column>, org.apache.thrift.TBase<Column,Column._Fields>

    public class Column
    extends java.lang.Object
    implements org.apache.thrift.TBase<Column,Column._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Column>

Basic unit of data within a ColumnFamily.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Column._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static java.util.Map<Column._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.nio.ByteBuffer` `name`
`long` `timestamp`
`int` `ttl`
`java.nio.ByteBuffer` `value`

### Constructor Summary

Constructors
Constructor and Description
`Column()`
`Column(java.nio.ByteBuffer name)`
`Column(Column other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `bufferForName()`
`java.nio.ByteBuffer` `bufferForValue()`
`void` `clear()`
`int` `compareTo(Column other)`
`Column` `deepCopy()`
`boolean` `equals(Column that)`
`boolean` `equals(java.lang.Object that)`
`Column._Fields` `fieldForId(int fieldId)`
`java.lang.Object` `getFieldValue(Column._Fields field)`
`byte[]` `getName()`
`long` `getTimestamp()`
`int` `getTtl()`
`byte[]` `getValue()`
`int` `hashCode()`
`boolean` `isSet(Column._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` `isSetTimestamp()` Returns true if field timestamp is set (has been assigned a value) and false otherwise
`boolean` `isSetTtl()` Returns true if field ttl is set (has been assigned a value) and false otherwise
`boolean` `isSetValue()` Returns true if field value is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue(Column._Fields field, java.lang.Object value)`
`Column` `setName(byte[] name)`
`Column` `setName(java.nio.ByteBuffer name)`
`void` `setNameIsSet(boolean value)`
`Column` `setTimestamp(long timestamp)`
`void` `setTimestampIsSet(boolean value)`
`Column` `setTtl(int ttl)`
`void` `setTtlIsSet(boolean value)`
`Column` `setValue(byte[] value)`
`Column` `setValue(java.nio.ByteBuffer value)`
`void` `setValueIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetName()`
`void` `unsetTimestamp()`
`void` `unsetTtl()`
`void` `unsetValue()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public java.nio.ByteBuffer name

#### value

    public java.nio.ByteBuffer value

#### timestamp

    public long timestamp

#### ttl

    public int ttl

#### metaDataMap

    public static final java.util.Map<Column._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### Column

    public Column()

#### Column

    public Column(java.nio.ByteBuffer name)

#### Column

    public Column(Column other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public Column deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<Column,Column._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<Column,Column._Fields>`

#### getName

    public byte[] getName()

#### bufferForName

    public java.nio.ByteBuffer bufferForName()

#### setName

    public Column setName(byte[] name)

#### setName

    public Column setName(java.nio.ByteBuffer name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet(boolean value)

#### getValue

    public byte[] getValue()

#### bufferForValue

    public java.nio.ByteBuffer bufferForValue()

#### setValue

    public Column setValue(byte[] value)

#### setValue

    public Column setValue(java.nio.ByteBuffer value)

#### unsetValue

    public void unsetValue()

#### isSetValue

    public boolean isSetValue()

Returns true if field value is set (has been assigned a value) and false otherwise

#### setValueIsSet

    public void setValueIsSet(boolean value)

#### getTimestamp

    public long getTimestamp()

#### setTimestamp

    public Column setTimestamp(long timestamp)

#### unsetTimestamp

    public void unsetTimestamp()

#### isSetTimestamp

    public boolean isSetTimestamp()

Returns true if field timestamp is set (has been assigned a value) and false otherwise

#### setTimestampIsSet

    public void setTimestampIsSet(boolean value)

#### getTtl

    public int getTtl()

#### setTtl

    public Column setTtl(int ttl)

#### unsetTtl

    public void unsetTtl()

#### isSetTtl

    public boolean isSetTtl()

Returns true if field ttl is set (has been assigned a value) and false otherwise

#### setTtlIsSet

    public void setTtlIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(Column._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<Column,Column._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(Column._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<Column,Column._Fields>`

#### isSet

    public boolean isSet(Column._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<Column,Column._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(Column that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(Column other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<Column>`

#### fieldForId

    public Column._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<Column,Column._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<Column,Column._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<Column,Column._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`